Package

## Class InMobiBanner

- All Implemented Interfaces:
    `android.graphics.drawable.Drawable.Callback` , `android.view.KeyEvent.Callback` , `android.view.ViewManager` , `android.view.ViewParent` , `android.view.accessibility.AccessibilityEventSource`

      public final class InMobiBanner
      extends RelativeLayout

  Use this class to integrate banner ads in your application.

  Note** This class is not thread-safe. All methods on instances of this class must be called on the UI thread.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `public enum` | `InMobiBanner.AnimationType` | Enumeration for the view transitions during a banner ad refresh.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `private final PreloadManager` | `preloadManager` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InMobiBanner(Context context, AttributeSet attributeSet)` | Construct an InMobiBanner instance from XML layouts.
    `InMobiBanner(Context context, Long placementId)` | Construct an InMobiBanner instance.

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `final PreloadManager` | `getPreloadManager()` | Method to get the PreloadManager object in order to preload or load a preloaded ad.
    `final Unit` | `getSignals()` | Called to create the request payload & the value is returned in BannerAdEventListener.onRequestPayloadCreated callback on success, and in case of failure BannerAdEventListener.onRequestPayloadCreationFailed is invoked.
    `final Unit` | `load(ByteArray response)` | Called to render the ad with the provided response.
    `final Unit` | `load()` | Submit a request to load ad content.
    `final Unit` | `load(PublisherCallbacks callbacks, Boolean isRefreshRequest)` |
    `final Unit` | `load(Context context)` | Submit a request to load ad content.
    `final Unit` | `setExtras(Map<String, String> extras)` | Set any additional custom parameters that will be sent in the ad request.
    `final Unit` | `setKeywords(String keywords)` | Set comma delimited keywords for targeting purpose
    `final Unit` | `setContentUrl(String contentUrl)` | Set the current context of the app.
    `final Unit` | `setListener(BannerAdEventListener listener)` | Set a listener to be notified of lifecycle events for the InMobiBanner instance.
    `final Unit` | `setEnableAutoRefresh(Boolean enabled)` | Control if the banner should auto-refresh ad content.
    `final Unit` | `setRefreshInterval(Integer refreshInterval)` | Specify the refresh interval for the banner ad.
    `final Unit` | `setAnimationType(InMobiBanner.AnimationType animationType)` | Set the animation preference on the banner views during ad refresh.
    `final Unit` | `disableHardwareAcceleration()` | Turn off hardware acceleration on the underlying views.
    `final Unit` | `setBannerSize(@IntRange(from = 1) Integer widthInDp, @IntRange(from = 1) Integer heightInDp)` | Set the width and height of Banner.
    `final Unit` | `setupBannerSizeObserver()` |
    `final Boolean` | `hasValidSize()` |
    `Unit` | `onWindowFocusChanged(Boolean hasWindowFocus)` |
    `final Unit` | `scheduleRefresh()` |
    `final Unit` | `swapAdUnitsAndDisplayAd()` |
    `final Unit` | `resume()` | Resumes an InMobiBanner ad after a previous call to .
    `final Unit` | `pause()` | Pauses any extra processing associated with this InMobiBanner ad.
    `final Unit` | `destroy()` | Method to kill the InMobiBanner object.
    `final Unit` | `handledLoadFailedCallback(AdUnit adUnit, InMobiAdRequestStatus status)` |
    `final Unit` | `handledLoadReadyCallback(AdMetaInfo info)` |
    `final Boolean` | `setAndSendMessage()` |

    - ### Methods inherited from class android.view.ViewGroup

      `addFocusables, addOnAttachStateChangeListener, addOnLayoutChangeListener, addOnUnhandledKeyEventListener, animate, announceForAccessibility, autofill, autofill, awakenScrollBars, awakenScrollBars, awakenScrollBars, bringToFront, buildDrawingCache, buildDrawingCache, buildLayer, callOnClick, canResolveLayoutDirection, canResolveTextAlignment, canResolveTextDirection, canScrollHorizontally, canScrollVertically, cancelDragAndDrop, cancelLongPress, cancelPendingInputEvents, checkInputConnectionProxy, clearAnimation, clearViewTranslationCallback, computeHorizontalScrollExtent, computeHorizontalScrollOffset, computeHorizontalScrollRange, computeScroll, computeSystemWindowInsets, computeVerticalScrollExtent, computeVerticalScrollOffset, computeVerticalScrollRange, createAccessibilityNodeInfo, createContextMenu, destroyDrawingCache, dispatchGenericMotionEvent, dispatchNestedFling, dispatchNestedPreFling, dispatchNestedPrePerformAccessibilityAction, dispatchNestedPreScroll, dispatchNestedScroll, dispatchPopulateAccessibilityEvent, draw, drawableHotspotChanged, findViewById, findViewWithTag, fitSystemWindows, focusSearch, forceHasOverlappingRendering, forceLayout, generateDisplayHash, getAccessibilityDelegate, getAccessibilityLiveRegion, getAccessibilityNodeProvider, getAccessibilityPaneTitle, getAccessibilityTraversalAfter, getAccessibilityTraversalBefore, getAlpha, getAnimation, getAnimationMatrix, getApplicationWindowToken, getAttributeResolutionStack, getAttributeSourceResourceMap, getAutofillHints, getAutofillId, getAutofillType, getAutofillValue, getBackground, getBackgroundTintBlendMode, getBackgroundTintList, getBackgroundTintMode, getBottom, getBottomFadingEdgeStrength, getBottomPaddingOffset, getCameraDistance, getClipBounds, getClipBounds, getClipToOutline, getContentCaptureSession, getContentDescription, getContext, getContextMenuInfo, getDefaultFocusHighlightEnabled, getDisplay, getDrawableState, getDrawingCache, getDrawingCache, getDrawingCacheBackgroundColor, getDrawingCacheQuality, getDrawingRect, getDrawingTime, getElevation, getExplicitStyle, getFilterTouchesWhenObscured, getFitsSystemWindows, getFocusable, getFocusables, getFocusedRect, getForeground, getForegroundGravity, getForegroundTintBlendMode, getForegroundTintList, getForegroundTintMode, getGlobalVisibleRect, getGlobalVisibleRect, getHandler, getHasOverlappingRendering, getHeight, getHitRect, getHorizontalFadingEdgeLength, getHorizontalScrollbarHeight, getHorizontalScrollbarThumbDrawable, getHorizontalScrollbarTrackDrawable, getId, getImportantForAccessibility, getImportantForAutofill, getImportantForContentCapture, getKeepScreenOn, getKeyDispatcherState, getLabelFor, getLayerType, getLayoutDirection, getLayoutParams, getLeft, getLeftFadingEdgeStrength, getLeftPaddingOffset, getLocalVisibleRect, getLocationInSurface, getLocationInWindow, getLocationOnScreen, getMatrix, getMeasuredHeight, getMeasuredHeightAndState, getMeasuredState, getMeasuredWidth, getMeasuredWidthAndState, getMinimumHeight, getMinimumWidth, getNextClusterForwardId, getNextFocusDownId, getNextFocusForwardId, getNextFocusLeftId, getNextFocusRightId, getNextFocusUpId, getOnFocusChangeListener, getOutlineAmbientShadowColor, getOutlineProvider, getOutlineSpotShadowColor, getOverScrollMode, getPaddingBottom, getPaddingEnd, getPaddingLeft, getPaddingRight, getPaddingStart, getPaddingTop, getParent, getParentForAccessibility, getPivotX, getPivotY, getPointerIcon, getReceiveContentMimeTypes, getResources, getRevealOnFocusHint, getRight, getRightFadingEdgeStrength, getRightPaddingOffset, getRootSurfaceControl, getRootView, getRootWindowInsets, getRotation, getRotationX, getRotationY, getScaleX, getScaleY, getScrollBarDefaultDelayBeforeFade, getScrollBarFadeDuration, getScrollBarSize, getScrollBarStyle, getScrollCaptureHint, getScrollIndicators, getScrollX, getScrollY, getSolidColor, getSourceLayoutResId, getStateDescription, getStateListAnimator, getSuggestedMinimumHeight, getSuggestedMinimumWidth, getSystemGestureExclusionRects, getSystemUiVisibility, getTag, getTag, getTextAlignment, getTextDirection, getTooltipText, getTop, getTopFadingEdgeStrength, getTopPaddingOffset, getTouchDelegate, getTouchables, getTransitionAlpha, getTransitionName, getTranslationX, getTranslationY, getTranslationZ, getUniqueDrawingId, getVerticalFadingEdgeLength, getVerticalScrollbarPosition, getVerticalScrollbarThumbDrawable, getVerticalScrollbarTrackDrawable, getVerticalScrollbarWidth, getViewTranslationResponse, getViewTreeObserver, getVisibility, getWidth, getWindowAttachCount, getWindowId, getWindowInsetsController, getWindowSystemUiVisibility, getWindowToken, getWindowVisibility, getWindowVisibleDisplayFrame, getX, getY, getZ, hasExplicitFocusable, hasFocusable, hasNestedScrollingParent, hasOnClickListeners, hasOnLongClickListeners, hasOverlappingRendering, hasPointerCapture, hasWindowFocus, invalidate, invalidate, invalidate, invalidateDrawable, invalidateOutline, isAccessibilityFocused, isAccessibilityHeading, isActivated, isAttachedToWindow, isClickable, isContextClickable, isDirty, isDrawingCacheEnabled, isDuplicateParentStateEnabled, isEnabled, isFocusable, isFocusableInTouchMode, isFocused, isFocusedByDefault, isForceDarkAllowed, isHapticFeedbackEnabled, isHardwareAccelerated, isHorizontalFadingEdgeEnabled, isHorizontalScrollBarEnabled, isHovered, isImportantForAccessibility, isImportantForAutofill, isImportantForContentCapture, isInEditMode, isInLayout, isInTouchMode, isKeyboardNavigationCluster, isLaidOut, isLayoutDirectionResolved, isLayoutRequested, isLongClickable, isNestedScrollingEnabled, isOpaque, isPaddingOffsetRequired, isPaddingRelative, isPivotSet, isPressed, isSaveEnabled, isSaveFromParentEnabled, isScreenReaderFocusable, isScrollContainer, isScrollbarFadingEnabled, isSelected, isShowingLayoutBounds, isShown, isSoundEffectsEnabled, isTemporarilyDetached, isTextAlignmentResolved, isTextDirectionResolved, isVerticalFadingEdgeEnabled, isVerticalScrollBarEnabled, isVisibleToUserForAutofill, keyboardNavigationClusterSearch, measure, offsetLeftAndRight, offsetTopAndBottom, onAnimationEnd, onAnimationStart, onApplyWindowInsets, onCancelPendingInputEvents, onCapturedPointerEvent, onCheckIsTextEditor, onConfigurationChanged, onCreateContextMenu, onCreateInputConnection, onCreateViewTranslationRequest, onCreateVirtualViewTranslationRequests, onDisplayHint, onDragEvent, onDraw, onDrawForeground, onDrawScrollBars, onFilterTouchEventForSecurity, onFinishInflate, onFinishTemporaryDetach, onFocusChanged, onGenericMotionEvent, onHoverChanged, onHoverEvent, onInitializeAccessibilityEvent, onInitializeAccessibilityNodeInfo, onKeyDown, onKeyLongPress, onKeyMultiple, onKeyPreIme, onKeyShortcut, onKeyUp, onOverScrolled, onPointerCaptureChange, onPopulateAccessibilityEvent, onProvideAutofillStructure, onProvideAutofillVirtualStructure, onProvideContentCaptureStructure, onProvideStructure, onProvideVirtualStructure, onReceiveContent, onRestoreInstanceState, onRtlPropertiesChanged, onSaveInstanceState, onScreenStateChanged, onScrollCaptureSearch, onScrollChanged, onSetAlpha, onSizeChanged, onStartTemporaryDetach, onTouchEvent, onTrackballEvent, onViewTranslationResponse, onVirtualViewTranslationResponses, onVisibilityAggregated, onWindowSystemUiVisibilityChanged, onWindowVisibilityChanged, overScrollBy, performAccessibilityAction, performClick, performContextClick, performContextClick, performHapticFeedback, performHapticFeedback, performLongClick, performLongClick, performReceiveContent, playSoundEffect, post, postDelayed, postInvalidate, postInvalidate, postInvalidateDelayed, postInvalidateDelayed, postInvalidateOnAnimation, postInvalidateOnAnimation, postOnAnimation, postOnAnimationDelayed, refreshDrawableState, releasePointerCapture, removeCallbacks, removeOnAttachStateChangeListener, removeOnLayoutChangeListener, removeOnUnhandledKeyEventListener, requestApplyInsets, requestFitSystemWindows, requestFocus, requestFocus, requestFocusFromTouch, requestPointerCapture, requestRectangleOnScreen, requestRectangleOnScreen, requestUnbufferedDispatch, requestUnbufferedDispatch, requireViewById, resetPivot, restoreHierarchyState, saveAttributeDataForStyleable, saveHierarchyState, scheduleDrawable, scrollBy, scrollTo, sendAccessibilityEvent, sendAccessibilityEventUnchecked, setAccessibilityDelegate, setAccessibilityHeading, setAccessibilityLiveRegion, setAccessibilityPaneTitle, setAccessibilityTraversalAfter, setAccessibilityTraversalBefore, setActivated, setAllowClickWhenDisabled, setAlpha, setAnimation, setAnimationMatrix, setAutofillHints, setAutofillId, setBackground, setBackgroundColor, setBackgroundDrawable, setBackgroundResource, setBackgroundTintBlendMode, setBackgroundTintList, setBackgroundTintMode, setBottom, setCameraDistance, setClickable, setClipBounds, setClipToOutline, setContentCaptureSession, setContentDescription, setContextClickable, setDefaultFocusHighlightEnabled, setDrawingCacheBackgroundColor, setDrawingCacheEnabled, setDrawingCacheQuality, setDuplicateParentStateEnabled, setElevation, setEnabled, setFadingEdgeLength, setFilterTouchesWhenObscured, setFitsSystemWindows, setFocusable, setFocusable, setFocusableInTouchMode, setFocusedByDefault, setForceDarkAllowed, setForeground, setForegroundGravity, setForegroundTintBlendMode, setForegroundTintList, setForegroundTintMode, setHapticFeedbackEnabled, setHasTransientState, setHorizontalFadingEdgeEnabled, setHorizontalScrollBarEnabled, setHorizontalScrollbarThumbDrawable, setHorizontalScrollbarTrackDrawable, setHovered, setId, setImportantForAccessibility, setImportantForAutofill, setImportantForContentCapture, setKeepScreenOn, setKeyboardNavigationCluster, setLabelFor, setLayerPaint, setLayerType, setLayoutDirection, setLayoutParams, setLeft, setLeftTopRightBottom, setLongClickable, setMeasuredDimension, setMinimumHeight, setMinimumWidth, setNestedScrollingEnabled, setNextClusterForwardId, setNextFocusDownId, setNextFocusForwardId, setNextFocusLeftId, setNextFocusRightId, setNextFocusUpId, setOnApplyWindowInsetsListener, setOnCapturedPointerListener, setOnClickListener, setOnContextClickListener, setOnCreateContextMenuListener, setOnDragListener, setOnFocusChangeListener, setOnGenericMotionListener, setOnHoverListener, setOnKeyListener, setOnLongClickListener, setOnReceiveContentListener, setOnScrollChangeListener, setOnSystemUiVisibilityChangeListener, setOnTouchListener, setOutlineAmbientShadowColor, setOutlineProvider, setOutlineSpotShadowColor, setOverScrollMode, setPadding, setPaddingRelative, setPivotX, setPivotY, setPointerIcon, setPressed, setRenderEffect, setRevealOnFocusHint, setRight, setRotation, setRotationX, setRotationY, setSaveEnabled, setSaveFromParentEnabled, setScaleX, setScaleY, setScreenReaderFocusable, setScrollBarDefaultDelayBeforeFade, setScrollBarFadeDuration, setScrollBarSize, setScrollBarStyle, setScrollCaptureCallback, setScrollCaptureHint, setScrollContainer, setScrollIndicators, setScrollIndicators, setScrollX, setScrollY, setScrollbarFadingEnabled, setSelected, setSoundEffectsEnabled, setStateDescription, setStateListAnimator, setSystemGestureExclusionRects, setSystemUiVisibility, setTag, setTag, setTextAlignment, setTextDirection, setTooltipText, setTop, setTouchDelegate, setTransitionAlpha, setTransitionName, setTransitionVisibility, setTranslationX, setTranslationY, setTranslationZ, setVerticalFadingEdgeEnabled, setVerticalScrollBarEnabled, setVerticalScrollbarPosition, setVerticalScrollbarThumbDrawable, setVerticalScrollbarTrackDrawable, setViewTranslationCallback, setVisibility, setWillNotCacheDrawing, setWillNotDraw, setX, setY, setZ, showContextMenu, showContextMenu, startActionMode, startActionMode, startAnimation, startDrag, startDragAndDrop, startNestedScroll, stopNestedScroll, toString, transformMatrixToGlobal, transformMatrixToLocal, unscheduleDrawable, unscheduleDrawable, updateDragShadow, verifyDrawable, willNotCacheDrawing, willNotDraw`

    - ### Methods inherited from class android.widget.RelativeLayout

      `addChildrenForAccessibility, addExtraDataToAccessibilityNodeInfo, addFocusables, addKeyboardNavigationClusters, addStatesFromChildren, addTouchables, addView, addView, addView, addView, addView, addViewInLayout, addViewInLayout, attachLayoutAnimationParameters, attachViewToParent, bringChildToFront, canAnimate, childDrawableStateChanged, childHasTransientStateChanged, cleanupLayoutState, clearChildFocus, clearDisappearingChildren, clearFocus, debug, detachAllViewsFromParent, detachViewFromParent, detachViewFromParent, detachViewsFromParent, dispatchApplyWindowInsets, dispatchCapturedPointerEvent, dispatchConfigurationChanged, dispatchCreateViewTranslationRequest, dispatchDisplayHint, dispatchDragEvent, dispatchDraw, dispatchDrawableHotspotChanged, dispatchFinishTemporaryDetach, dispatchFreezeSelfOnly, dispatchGenericFocusedEvent, dispatchGenericPointerEvent, dispatchHoverEvent, dispatchKeyEvent, dispatchKeyEventPreIme, dispatchKeyShortcutEvent, dispatchPointerCaptureChanged, dispatchProvideAutofillStructure, dispatchProvideStructure, dispatchRestoreInstanceState, dispatchSaveInstanceState, dispatchScrollCaptureSearch, dispatchSetActivated, dispatchSetPressed, dispatchSetSelected, dispatchStartTemporaryDetach, dispatchSystemUiVisibilityChanged, dispatchThawSelfOnly, dispatchTouchEvent, dispatchTrackballEvent, dispatchUnhandledMove, dispatchVisibilityChanged, dispatchWindowFocusChanged, dispatchWindowInsetsAnimationEnd, dispatchWindowInsetsAnimationPrepare, dispatchWindowInsetsAnimationProgress, dispatchWindowInsetsAnimationStart, dispatchWindowSystemUiVisiblityChanged, dispatchWindowVisibilityChanged, drawChild, drawableStateChanged, endViewTransition, findFocus, findViewsWithText, focusSearch, focusableViewAvailable, gatherTransparentRegion, getChildAt, getChildCount, getChildDrawingOrder, getChildDrawingOrder, getChildStaticTransformation, getChildVisibleRect, getClipChildren, getClipToPadding, getDescendantFocusability, getFocusedChild, getLayoutAnimation, getLayoutAnimationListener, getLayoutMode, getLayoutTransition, getNestedScrollAxes, getOverlay, getPersistentDrawingCache, getTouchscreenBlocksFocus, hasFocus, hasTransientState, indexOfChild, invalidateChild, invalidateChildInParent, isAlwaysDrawnWithCacheEnabled, isAnimationCacheEnabled, isChildrenDrawingOrderEnabled, isChildrenDrawnWithCacheEnabled, isLayoutSuppressed, isMotionEventSplittingEnabled, isTransitionGroup, jumpDrawablesToCurrentState, layout, measureChild, measureChildWithMargins, measureChildren, notifySubtreeAccessibilityStateChanged, offsetDescendantRectToMyCoords, offsetRectIntoDescendantCoords, onCreateDrawableState, onDescendantInvalidated, onInterceptHoverEvent, onInterceptTouchEvent, onNestedFling, onNestedPreFling, onNestedPrePerformAccessibilityAction, onNestedPreScroll, onNestedScroll, onNestedScrollAccepted, onRequestFocusInDescendants, onRequestSendAccessibilityEvent, onResolvePointerIcon, onStartNestedScroll, onStopNestedScroll, onViewAdded, onViewRemoved, recomputeViewAttributes, removeAllViews, removeAllViewsInLayout, removeDetachedView, removeView, removeViewAt, removeViewInLayout, removeViews, removeViewsInLayout, requestChildFocus, requestChildRectangleOnScreen, requestDisallowInterceptTouchEvent, requestFocus, requestSendAccessibilityEvent, requestTransparentRegion, restoreDefaultFocus, scheduleLayoutAnimation, setAddStatesFromChildren, setAlwaysDrawnWithCacheEnabled, setAnimationCacheEnabled, setChildrenDrawingCacheEnabled, setChildrenDrawingOrderEnabled, setChildrenDrawnWithCacheEnabled, setClipChildren, setClipToPadding, setDescendantFocusability, setLayoutAnimation, setLayoutAnimationListener, setLayoutMode, setLayoutTransition, setMotionEventSplittingEnabled, setOnHierarchyChangeListener, setPersistentDrawingCache, setStaticTransformationsEnabled, setTouchscreenBlocksFocus, setTransitionGroup, setWindowInsetsAnimationCallback, showContextMenuForChild, showContextMenuForChild, startActionModeForChild, startActionModeForChild, startLayoutAnimation, startViewTransition, suppressLayout, updateViewLayout`

    - ### Methods inherited from class com.inmobi.ads.InMobiBanner

      `checkLayoutParams, generateDefaultLayoutParams, generateLayoutParams, generateLayoutParams, getAccessibilityClassName, getBaseline, getGravity, getIgnoreGravity, onLayout, onMeasure, requestLayout, setGravity, setHorizontalGravity, setIgnoreGravity, setVerticalGravity, shouldDelayChildPressedState`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InMobiBanner

          InMobiBanner(Context context, AttributeSet attributeSet)

      Construct an InMobiBanner instance from XML layouts.
      Parameters:
        `context` - Represents the context where the banner is going to be shown
        `attributeSet` - Represents the AttributeSet properties of banner in XML

    - #### InMobiBanner

          InMobiBanner(Context context, Long placementId)

      Construct an InMobiBanner instance.
      Parameters:
        `context` - Represents the context where the banner is going to be shown
        `placementId` - Represents the placement-ID of the banner ad

  - ### Method Detail

    - #### getPreloadManager

           final PreloadManager getPreloadManager()

      Method to get the PreloadManager object in order to preload or load a preloaded ad.

    - #### getSignals

           final Unit getSignals()

      Called to create the request payload & the value is returned in BannerAdEventListener.onRequestPayloadCreated callback on success, and in case of failure BannerAdEventListener.onRequestPayloadCreationFailed is invoked.

    - #### load

           final Unit load(ByteArray response)

      Called to render the ad with the provided response. Once the SDK starts loading the provided response, it will start giving callbacks through BannerAdEventListener listener.

      Parameters:
        `response` - Represents the response to be used to render an ad

    - #### load

          @UiThread() final Unit load()

      Submit a request to load ad content. This method returns immediately upon enqueuing a request. Your application shall be notified of the result on the BannerAdEventListener callback.

      Note** This method must be called on the UI thread. Failure to do so will affect your ability to monetize with the InMobi Ad SDK.

    - #### load

           final Unit load(PublisherCallbacks callbacks, Boolean isRefreshRequest)

    - #### load

          @UiThread() final Unit load(Context context)

      Submit a request to load ad content. Use this method in order to change the context where the ad needs to originally load.

      Parameters:
        `context` - the Context where the ad will be rendered.

    - #### setExtras

           final Unit setExtras(Map<String, String> extras)

      Set any additional custom parameters that will be sent in the ad request.

      Parameters:
        `extras` - Represents the extras

    - #### setKeywords

           final Unit setKeywords(String keywords)

      Set comma delimited keywords for targeting purpose

      Parameters:
        `keywords` - Represents the keywords

    - #### setContentUrl

           final Unit setContentUrl(String contentUrl)

      Set the current context of the app.

      Parameters:
        `contentUrl` -

        - Represents the contentUrl of the app

    - #### setListener

           final Unit setListener(BannerAdEventListener listener)

      Set a listener to be notified of lifecycle events for the InMobiBanner instance.

      Parameters:
        `listener` - Represents the listener to provide callbacks

    - #### setEnableAutoRefresh

           final Unit setEnableAutoRefresh(Boolean enabled)

      Control if the banner should auto-refresh ad content.

      Parameters:
        `enabled` - `true` if banner should auto-refresh, otherwise `false`

    - #### setRefreshInterval

           final Unit setRefreshInterval(Integer refreshInterval)

      Specify the refresh interval for the banner ad.

      Parameters:
        `refreshInterval` - Represents the interval at which the banner ad will refresh

    - #### setAnimationType

           final Unit setAnimationType(InMobiBanner.AnimationType animationType)

      Set the animation preference on the banner views during ad refresh.

    - #### disableHardwareAcceleration

           final Unit disableHardwareAcceleration()

      Turn off hardware acceleration on the underlying views.

    - #### setBannerSize

           final Unit setBannerSize(@IntRange(from = 1) Integer widthInDp, @IntRange(from = 1) Integer heightInDp)

      Set the width and height of Banner. These values should be same as layout dimensions.

      Parameters:
        `widthInDp` - width of Banner in DP
        `heightInDp` - height of Banner in DP

    - #### setupBannerSizeObserver

           final Unit setupBannerSizeObserver()

    - #### hasValidSize

           final Boolean hasValidSize()

    - #### onWindowFocusChanged

           Unit onWindowFocusChanged(Boolean hasWindowFocus)

    - #### scheduleRefresh

           final Unit scheduleRefresh()

    - #### swapAdUnitsAndDisplayAd

          @UiThread() final Unit swapAdUnitsAndDisplayAd()

    - #### resume

           final Unit resume()

      Resumes an InMobiBanner ad after a previous call to .pause. Your app must call this method in the `onResume` method of the containing activity or fragment.

      You only need to call this method if you supplied a non-`Activity` context while creating your banner ad unit, or if you called the .load method on the InMobiBanner instance.

    - #### pause

           final Unit pause()

      Pauses any extra processing associated with this InMobiBanner ad. Your app must call this method in the `onPause` method of the containing activity or fragment.

      You only need to call this method if you supplied a non-`Activity` context while creating your banner ad unit, or if you called the .load method on the InMobiBanner instance.

    - #### destroy

          @UiThread() final Unit destroy()

      Method to kill the InMobiBanner object. This will do the following -

      - Remove the ad-view from the view hierarchy

      - Cancel any ongoing refresh

      - De-reference the listeners

      - Other clean-ups

    - #### handledLoadFailedCallback

           final Unit handledLoadFailedCallback(AdUnit adUnit, InMobiAdRequestStatus status)

    - #### handledLoadReadyCallback

           final Unit handledLoadReadyCallback(AdMetaInfo info)

    - #### setAndSendMessage

           final Boolean setAndSendMessage()